Password Reset Request

The first step in the password reset process, this request will send a reset code to the member to authorize the reset request.

Request

GET/user/v1/member/password/reset

Query Parameters


memberidstring:optional

The unique identifier of the member. Either the memberid or emailaddress must be provided.


emailaddressstring:optional

The email address belonging to the member. Either the memberid or emailaddress must be provided.


deliverymethodstring:optional

The desired channel to be used to receive the reset code. Default value is email if no value is set. Possible delivery methods can be found in the Password Reset Delivery Method Dictionary.


Example


curl -XGET 'https://platform.wellviasolutions.com/user/v1/member/password/reset' \
    -u 'Bearer:{your_token}'
    -d '[email protected]'
    -d 'memberId=abc123'
    -d 'deliverymethod=email'
GET https://platform.wellviasolutions.com/user/v1/member/password/[email protected]&memberid=abc123&deliverymethod=email HTTP/1.1
using WellViaSDK.Member;
using WellViaSDK.Core.Dictionaries;

// Config and credentials outlined in earlier examples
var _memClient = new WellViaMemberServiceClient(config, credentials);

var resetRequest = await _memClient.RequestPasswordResetAsync(memberId: "abc123", emailAddress: "[email protected]", deliveryMethod: CommunicationMethod.Email);

Response

Attributes


deliveryMethodstring:required

The communication channel used to delivery the reset code.


maskedToAddressstring:required

The masked address that the reset code was sent to.


expirationtimestamp:required

Timestamp of when the reset code expires.


requestCodestring:required

The request code to be included in the reset response.


Example


{
    "deliveryMethod": "email",
    "maskedToAddress": "b*****[email protected]",
    "expiration": "2021-05-12T16:52:11Z",
    "requestCode": "aGdmQlJROUsvZWpGWkhmcDJsdkJoc..."
}